Redmine - Defect #6244

Sort people by display name
2010-08-29 08:01 - Ewan Makepeace

Status: Closed Start date: 2010-08-29
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description
| have set my user display to be <FirstName> <LastName>

In drop down lists users are sorted in that order:

dropdown.jpg
However on display of issues, both sorting on Assigned To column, and grouping on Assigned To still sorts by LastName, FirstName
which is surprisingly hard to work with - | can never find the people | am looking for:

sorted.jpg

grouped.jpg
Related #1841, #1708

Related issues:
Is duplicate of Redmine - Defect #9669: Issue list doesn't sort assignees/aut... Closed 2011-11-26

History

#1 - 2010-09-21 21:21 - Steven Chanin
- File 0001-Fix-6244-Make-Issues-use-Setting.user_format.patch added
- Status changed from New to Resolved

- Assignee set to Eric Davis

The problem was that the query#available_columns was using a hard coded set of mappings for @@available_columns to convert between logical
columns and underlying database columns to sort by and was not taking into account the value for user_format in the Settings table.

The following small patch (with tests) changes this. All specs pass and | have manually tested things in a browser in both development and
production modes.

I haven't looked at the Redmine code in a couple of years, so please review the patch before applying.
#2 - 2010-10-07 03:15 - Eric Davis
- Category changed from Ul to Issues

- Status changed from Resolved to New

- Assignee deleted (Eric Davis)

Please don't mark an issue as resolved or assign it to anyone.

#3 - 2010-10-07 23:27 - Eric Davis

Felix,

Can you take a look at this bug (and patch) and let me know what you think? 1.0.x or 1.1?

#4 - 2010-10-07 23:31 - Felix Schéfer
- Status changed from New to 7

- Assignee set to Felix Schéfer

Will do, probably this WE.
https://www.redmine.org/issues/1841
https://www.redmine.org/issues/1708

#5 - 2011-01-15 09:48 - Felix Schéfer
- Assignee deleted (Felix Schéfer)

#6 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#7 - 2020-09-24 09:25 - Go MAEDA

- Is duplicate of Defect #9669: Issue list doesn't sort assignees/authors regarding user display format added

#8 - 2020-09-24 09:26 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #9669 (Redmine 1.3.0).

#9 - 2020-09-24 09:29 - Go MAEDA

- Resolution changed from Fixed to Duplicate
